#ifndef ProjectileProfile_H
#define ProjectileProfile_H

#include <Arduino.h>

class ProjectileProfile {
  public:
    enum ProjectileType{
      PELLET,
      SLUG
    };

    // Constructor: Called when a ProjectileProfile object is created
    ProjectileProfile();
    ProjectileProfile(String name, ProjectileType type, float caliber, float weight);

    String getName();
    float getWeight();
    String getType();
    float getCaliber();

  private:
    char _name[50];
    float _caliber;
    float _weight;
    ProjectileType _type;


};

#endif